Search specialties
curl --request GET \
--url https://{command_center_host}/api/v1/specialties/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://{command_center_host}/api/v1/specialties/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{command_center_host}/api/v1/specialties/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "spc_c8f1a2d4-...",
"key": "LINUX_ADMIN",
"name": "Linux Admin",
"prompt": "<string>",
"description": "<string>",
"execution_mode": "investigate_only",
"owner_id": "<string>",
"org_id": "<string>",
"tenant_id": "ten_115bea44-...",
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z"
}
],
"has_more": true,
"total_count": 123
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Specialties
Search specialties
GET
/
api
/
v1
/
specialties
/
search
Search specialties
Authorizations
An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
Query Parameters
Available options:
total_count 
